packages driconf.spec
      Pages: < 1 >  DOWNLOAD      
Name:          driconf
Version:       0.9.1
Release:       4mamba
Summary:       A configuration applet for the Direct Rendering Infrastructure
Group:         Graphical Desktop/Applications/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@...>
URL:           http://ri.freedesktop.org/wiki/DriConf
Source:        http://people.freedesktop.org/%7Efxkuehl/driconf/driconf-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: pygtk-devel
BuildRequires: python-devel
BuildRequires: pycairo-devel
## AUTOBUILDREQ-END
Requires:      python >= 2.4
Requires:      pygtk >= 2.10.4
Requires:      python-pycairo >= 1.0.2
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
DRIconf is a configuration applet for the Direct Rendering Infrastructure. It allows customizing performance and visual quality settings of OpenGL drivers on a per-driver, per-screen and/or per-application level.
The settings are stored in system wide and per-user XML configuration files, which are parsed by the OpenGL drivers on startup. For more details see ConfigurationInfrastructure.
DRIConf is written in Python with the python-gtk toolkit bindings.

%prep
%setup -q

%build
CFLAGS="%{optflags}" python setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
python setup.py install \
   --prefix="%{_prefix}" \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{_libdir}/site-python
%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/driconf
%{_libdir}/site-python/*
%{_datadir}/driconf/*                                         
%doc COPYING README TODO

%changelog
* Mon Aug 19 2013 Automatic Build System <autodist@...> 0.9.1-4mamba
- automatic rebuild by autodist

* Wed Jun 04 2008 Silvan Calarco <silvan.calarco@...> 0.9.1-3mamba
- specfile updated

* Fri Mar 16 2007 Silvan Calarco <silvan.calarco@...> 0.9.1-2qilnx
- added requirements for pygtk and python-pycairo

* Wed Mar 07 2007 Silvan Calarco <silvan.calarco@...> 0.9.1-1qilnx
- package created by autospec